トップ ソフト 雑記 日記 リンク

2017年11月5日日曜日

ぶろるっくがサスペンドされています

タイトル通り、現在拙作「ぶろるっく」は10月31日からTwitter社によってサスペンドされています。

Twitter社からのメールには、Developer Policy: Section I.C.1.d-eに違反していると書かれていました。

セクションIのCの1のdとeには以下のように書かれています。
  • C. Respect Users’ Control and Privacy
    • 1.Get the user’s express consent before you do any of the following:
      • d.Store non-public Content such as Direct Messages or other private or confidential information.
      • e.Share or publish protected Content, private or confidential information.

非公開情報(この場合ブロック情報を指すのでしょう)を収集するときに、ユーザーに同意を得よということなのですが、それはログインボタンの下に太字で書かれていました。
ひとまず説明の一行目にも追加して、問い合わせを送り、11月1日に以下のような再審査する旨のメールが来ました

これが届くと、すぐに回復するらしいのですが、時間が掛かっているようです。
わたしの方ではどうすることも出来ないので、Twitter社の対応待ちです。

よく分からないのは、他のアプリも同じ理由で止められているのですが、問題のないアプリもあります。
テスト用アプリで、どこにも公開していないものや、自分がKrileにセットして使う用のものまで止められているので、基準が分かりません。自分用のアプリはどうやってポリシーを明示すれば良いのでしょうか。
この状態で新しいアプリを作成するのは危険すぎるので、Krile用の新しいアプリは作らずに、Twitterを見なくなってしまいました。
スマホの通知を見るのは気が付いたときだけなので、なにか連絡があればマストドン( https://mstdn.nere9.help/@osapon )の方にいただけると助かります。

またスパムアプリチェックのアプリだけお目こぼしをいただいている様ですが、スパムツイートをチェックするアプリが止められているので、システムとしては効果がありません。

ぶろるっくのトークンが100万を越えそうだったので、問い合わせをしたのですが、完全にやぶ蛇という感じです。
Twitter社は大阪にもオフィスがあるようですが、お伺いした方が良いんでしょうか。


12月12日追記
新しいアプリとして登録し直しました。
過去の登録情報は削除しています。

10 件のコメント:

  1. あたらしいapiに移行していたちごっこにつきあってあげるのはダメなんでしょうか?

    返信削除
  2. 新しいアプリとして登録すると、今までに許可をくれた人のデータを捨てることになるのと、わたしのアカウントまで凍結される可能性があるので、そこまでする予定はありません。

    返信削除
  3. こんにちは。お久しぶりです。@RiaJuusです。今やっと、これを見ました。もしよかったら、tweetを見てください。blolockの現時点げんじてんの状況を韓国の利用者たちも知りたがっていますが(https://twitter.com/search?f=tweets&vertical=default&q=%EB%B8%8C%EB%A1%9C%EB%A3%A9&src=typd)、この内容を翻訳してみました。またエラー・メッセージも翻訳してみました。

    きっとよくなるだろうと思います。

    返信削除
  4. いつもぶろるっくにお世話になっています。
    単にサポートにメールしても返事が帰って来なければ再送信してはどうでしょうか。

    返信削除
  5. 既に両手で数えるほど再送信していますし、Twitterのフォーラムにも「問い合わせに必要な情報は全て書いているし理由を書いてくれないと対応のしようが無い」と書いているのですが、無視状態です。
    たぶん、Twitterはもう対応する気が無いのでしょうね。

    返信削除
    返信
    1. Twitter社の対応が酷過ぎて思わず絶句しますね…。そこまで対応が悪ければ電話など個別で連絡する方法を試してはどうでしょうか。復旧する事を祈ってます。

      削除
  6. 今、blolookが実行されますね。

    返信削除
  7. 新しいアプリとして登録し直しました。

    返信削除
  8. 認証しようとすると
    「クライアントとサーバーで、共通の SSL プロトコル バージョンまたは暗号化スイートがサポ
    ートされていません。原因として、サーバーで RC4 が要求されている可能性があります。RC4 は安全とみなされなくなりました。」


    httpsのSSL接続でRC4が要求されています。これは安全でないのでセキュリティを更新していただけないでしょうか?

    返信削除
    返信
    1. わたしの環境では
      Firefox 58
      Chrome 63(Win/Android)
      IE 11
      Microsoft Edge
      で試したのですが、該当のメッセージを確認できませんでした。

      削除

広告